ChangeSet 1.1587.12.58, 2004/04/30 14:52:21-07:00, eike-hotplug@sf-tec.de

[PATCH] PCI Express Hotplug: mark global variables static

Don't know why, but it looks like a good idea to mark this global variables
static.


 drivers/pci/hotplug/pciehp_core.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)


diff -Nru a/drivers/pci/hotplug/pciehp_core.c b/drivers/pci/hotplug/pciehp_core.c
--- a/drivers/pci/hotplug/pciehp_core.c	Mon May 17 17:00:06 2004
+++ b/drivers/pci/hotplug/pciehp_core.c	Mon May 17 17:00:06 2004
@@ -43,11 +43,11 @@
 #include "pciehprm.h"
 
 /* Global variables */
-int pciehp_debug;
-int pciehp_poll_mode;
-int pciehp_poll_time;
-struct controller *pciehp_ctrl_list;	/* = NULL */
-struct pci_func *pciehp_slot_list[256];
+static int pciehp_debug;
+static int pciehp_poll_mode;
+static int pciehp_poll_time;
+static struct controller *pciehp_ctrl_list;
+static struct pci_func *pciehp_slot_list[256];
 
 #define DRIVER_VERSION	"0.4"
 #define DRIVER_AUTHOR	"Dan Zink <dan.zink@compaq.com>, Greg Kroah-Hartman <greg@kroah.com>, Dely Sy <dely.l.sy@intel.com>"
